Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka
Class Latka

    java.lang.Object
      |
      +--org.apache.commons.latka.Latka

public class Latka
extends java.lang.Object

This is the primary class for executing Latka functional tests. The main(String aargs[]) class provides a convenient command-line interface for executing single tests. See the Latka documentation for details on command-line usage. There is also a webapp-based Latka interface.

Author:
  Morgan Delagrange
See Also:
  `Suite`, `LatkaProperties`

Constructor Summary
`Latka()`

Method Summary
`static void` | `main(java.lang.String[] args)` Execute a single test suite via the command line interface.
`void` | `runTests(Suite suite, LatkaEventInfo listener)` Execute a single Latka test suite.
`void` | `setReportStylesheet(java.net.URL url)`
`void` | `setValidating(boolean isValidating)` Set whether or not Latka will validate the XML in each test.
`java.lang.String` | `transformXML(java.lang.String xml)` Transform the XML generated by the XMLReporter using the default stylesheet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Latka

    public Latka()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Execute a single test suite via the command line interface. See the Latka documentation for detailed usage instructions. The Java process will return a 0 if all tests succeed and a 1 if any fail or there is an unrecoverable error in the test execution.
  Parameters:
    `args` - arguments containing the test suite location and any properties or property file references

### runTests

    public void runTests(Suite suite,
                         LatkaEventInfo listener)
                  throws LatkaException

  Execute a single Latka test suite. The Latka event listner will receive all the events generated during the test. The Latka packages contain an implmentation of LatkaEventInfo which can generate an XML report according to a standard DTD (see documentation).
  Parameters:
    `suite` - test suite to execute
    `listener` - target for test events
  See Also:
    `XML-based implementation of LatkaEventInfo`

### setReportStylesheet

    public void setReportStylesheet(java.net.URL url)

### setValidating

    public void setValidating(boolean isValidating)

  Set whether or not Latka will validate the XML in each test.
  Parameters:
    `isValidating` - whether or not to validate XML

### transformXML

    public java.lang.String transformXML(java.lang.String xml)
                                  throws LatkaException

  Transform the XML generated by the XMLReporter using the default stylesheet.
  Parameters:
    `xml` - XML generated by XMLReporter
  Returns:
    transformed report
  Throws:
    `LatkaException` - if the XML could not be transformed

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.